%global momorel 5
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdemultimediarel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 7e22892e223f264cbd7597b994e63df5

Summary: A sound editor for KDE
Name: kwave
Version: 0.7.9
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kwave.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}_flac-v1.1.3_and_v1.1.4-support.diff
Patch2: debian-431199.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdemultimedia >= %{kdever}-%{kdemultimediarel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: autoconf
BuildPreReq: automake17
BuildPreReq: desktop-file-utils
BuildPreReq: esound-devel
BuildPreReq: flac-devel
BuildPreReq: gettext
BuildPreReq: gsl-devel
BuildPreReq: id3lib-devel
BuildPreReq: jack-devel
BuildPreReq: libmad
BuildPreReq: libogg-devel
BuildPreReq: libtool
BuildPreReq: libvorbis-devel

%description
With Kwave you can edit many sorts of wav-files including
multi-channel files.
You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development)
to transform the wave-file in several ways and presents a graphical
view with a complete zoom-and scroll capability.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p0 -b .flac-114
%patch2 -p0 -b .flac-114-2

libtoolize --force --copy --automake
aclocal-1.7 -I ./admin
autoheader
automake-1.7 --foreign --add-missing --copy --include-deps
autoconf

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideoEditing \
  --add-category AudioVideo \
  --add-category Audio \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kwave.desktop

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kwave.png %{buildroot}%{_datadir}/pixmaps/kwave.png

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in de fr ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES GNU-LICENSE LICENSES README TODO
%{_bindir}/kwave
%{_libdir}/kde3/plugins/kwave
%{_libdir}/libkwave.la
%{_libdir}/libkwave.so*
%{_libdir}/libkwavegui.la
%{_libdir}/libkwavegui.so*
%{_datadir}/applications/kde/kwave.desktop
%{_datadir}/apps/kwave
%{_datadir}/doc/HTML/*/kwave
%{_datadir}/icons/*/*/*/kwave.png
%{_datadir}/locale/*/LC_MESSAGES/kwave.mo
%{_datadir}/mimelnk/audio/x-aifc.desktop
%{_datadir}/mimelnk/audio/x-ircam.desktop
%{_datadir}/pixmaps/kwave.png

%changelog
* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-5m)
- enable flac support in all-arch again

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-4m)
- apply debian-431199.diff
- http://sourceforge.net/tracker/index.php?func=detail&aid=1732594&group_id=6478&atid=306478

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-3m)
- build flac support i686 only

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-2m)
- import flac-v1.1.3_and_v1.1.4-support.diff (enable flac support)

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-1m)
- initial package for Momonga Linux
- disable flac support for the moment
